import type { ActionError } from 'astro:actions';
import { popupState } from '@components/popup/Popup.ts';

export function actionErrorPopup<E extends Record<string, any>>(error: ActionError<E>) {
  popupState.set({
    type: 'error',
    title: `Fehler (${error.status})`,
    message: error.message
  });
}
